> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# قنوات الأخبار المتاحة



## OpenAPI

````yaml ar/openapi/news-api.spec.yml GET /api/v2.1/news/channels
openapi: 3.0.0
info:
  contact: {}
  description: مصادقة Bearer باستخدام رمز الوصول
  title: Newsfeed & Why is it Moving v2
  version: 2.0.0
servers:
  - url: //api.benzinga.com/api/v2
security: []
paths:
  /api/v2.1/news/channels:
    get:
      tags:
        - Channels
      summary: جلب قنوات الأخبار المتاحة
      description: >-
        تُرجِع قائمة بجميع قنوات الأخبار المتاحة التي يمكن استخدامها لتصفية
        عناصر الأخبار. وقد تحتوي القنوات على قنوات فرعية، ولكن ستُدرج جميعها
        كعنصر مستقل.
      operationId: get-channels
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object

````